/*
 * Copyright (c) 2015 ARM Limited. All rights reserved.
 * SPDX-License-Identifier: Apache-2.0
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef __SECURITY_H__
#define __SECURITY_H__
 
#include <inttypes.h>
 
#define MBED_DOMAIN "d6a0042c-14f3-40e6-a955-886946aff565"
#define MBED_ENDPOINT_NAME "18bd38a2-77ff-4399-ac64-3938da7433df"
 
const uint8_t SERVER_CERT[] = "-----BEGIN CERTIFICATE-----\r\n"
"MIIBmDCCAT6gAwIBAgIEVUCA0jAKBggqhkjOPQQDAjBLMQswCQYDVQQGEwJGSTEN\r\n"
"MAsGA1UEBwwET3VsdTEMMAoGA1UECgwDQVJNMQwwCgYDVQQLDANJb1QxETAPBgNV\r\n"
"BAMMCEFSTSBtYmVkMB4XDTE1MDQyOTA2NTc0OFoXDTE4MDQyOTA2NTc0OFowSzEL\r\n"
"MAkGA1UEBhMCRkkxDTALBgNVBAcMBE91bHUxDDAKBgNVBAoMA0FSTTEMMAoGA1UE\r\n"
"CwwDSW9UMREwDwYDVQQDDAhBUk0gbWJlZDBZMBMGByqGSM49AgEGCCqGSM49AwEH\r\n"
"A0IABLuAyLSk0mA3awgFR5mw2RHth47tRUO44q/RdzFZnLsAsd18Esxd5LCpcT9w\r\n"
"0tvNfBv4xJxGw0wcYrPDDb8/rjujEDAOMAwGA1UdEwQFMAMBAf8wCgYIKoZIzj0E\r\n"
"AwIDSAAwRQIhAPAonEAkwixlJiyYRQQWpXtkMZax+VlEiS201BG0PpAzAiBh2RsD\r\n"
"NxLKWwf4O7D6JasGBYf9+ZLwl0iaRjTjytO+Kw==\r\n"
"-----END CERTIFICATE-----\r\n";
 
const uint8_t CERT[] = "-----BEGIN CERTIFICATE-----\r\n"
"MIIB0DCCAXOgAwIBAgIEN5VJBDAMBggqhkjOPQQDAgUAMDkxCzAJBgNVBAYTAkZ\r\n"
"JMQwwCgYDVQQKDANBUk0xHDAaBgNVBAMME21iZWQtY29ubmVjdG9yLTIwMTgwHh\r\n"
"cNMTcwMzA4MjM1ODA5WhcNMTgxMjMxMDYwMDAwWjCBoTFSMFAGA1UEAxNJZDZhM\r\n"
"DA0MmMtMTRmMy00MGU2LWE5NTUtODg2OTQ2YWZmNTY1LzE4YmQzOGEyLTc3ZmYt\r\n"
"NDM5OS1hYzY0LTM5MzhkYTc0MzNkZjEMMAoGA1UECxMDQVJNMRIwEAYDVQQKEwl\r\n"
"tYmVkIHVzZXIxDTALBgNVBAcTBE91bHUxDTALBgNVBAgTBE91bHUxCzAJBgNVBA\r\n"
"YTAkZJMFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAE46r9U0Vg22XC0snfkkzSP\r\n"
"Id6EpO1jMFsvoH3P1FlrEqud17L2HrkMIN/hagHl4hvcdsvtjH067kIkYZXLy3c\r\n"
"ojAMBggqhkjOPQQDAgUAA0kAMEYCIQDP8E0WcQi/H7iqaqiQnmwDqo28mqx7FB2\r\n"
"LVEb2GcSVMAIhAKkgu0PkA/wJ6T/jhaBfGOqnN3MG+riUk+ZM7FIT85vX\r\n"
"-----END CERTIFICATE-----\r\n";
 
const uint8_t KEY[] = "-----BEGIN PRIVATE KEY-----\r\n"
"MIGHAgEAMBMGByqGSM49AgEGCCqGSM49AwEHBG0wawIBAQQg6jJ8iMI5w7t+yi2c\r\n"
"vHPerhEP9sQl78AwmjPlC40C2CmhRANCAATjqv1TRWDbZcLSyd+STNI8h3oSk7WM\r\n"
"wWy+gfc/UWWsSq53XsvYeuQwg3+FqAeXiG9x2y+2MfTruQiRhlcvLdyi\r\n"
"-----END PRIVATE KEY-----\r\n";
 
#endif //__SECURITY_H__